package com.jkcredit.invoice;

import com.jkcredit.invoice.credit.SimpleCORSFilter;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.context.annotation.Bean;
import org.springframework.scheduling.annotation.EnableAsync;
import org.springframework.scheduling.annotation.EnableScheduling;

@EnableAsync
@EnableScheduling
@SpringBootApplication
public class SysInvoiceApplication {

    public static void main(String[] args) {
        SpringApplication.run(SysInvoiceApplication.class, args);
    }


    /**
     * 跨域处理
     *
     * @return
     */
    @Bean
    public SimpleCORSFilter simpleCORSFilter(){
        return new SimpleCORSFilter();
    }

}
